==========================================================================
eAthena dev 1.0.0 mod1004 Reference +alpha of the present conf
--------------------------------------------------------------------------

< What this file is. >

 It is the reference of the setting method of an Athena setting file.
although it is not a HowTo, it not Those who cannot use Athena even if they see this
 To give up obediently is safer.


< The list of conf >

 login_athena.conf	A setup of login-server
 char_athena.conf	A setup of char-server
 inter_athena.conf	A setup of inter-server
 map_athena.conf	A setup of map-server
 battle_athena.conf	This file has been splitted into 13 files, separating them
			depending on their function. Those files are:

	*battle.conf	Regarding battle system configuration.
	*client.conf	Regarding client configuration.
	*drops.conf	Regarding mob drops configuration
	*guild.conf	Regarding guild configuration.
	*monster.conf	Regarding monsters guidance and settings.
	*player.conf	Regarding player and/or character settings.
	*exp.conf	Regarding exp settings.
	*items.conf	Regarding items settings.
	*party.conf	Regarding party settings.
	*skill.conf	Regarding skill settings
	*gm.conf	Regarding GM settings (not GM commands).
	*misc.conf	Regarding various settings (such as PK)
	*pet.conf	Regarding pet settings.
 atcommand_athena.conf	A setup of map-server (setup of the GM command or @ command)
 ladmin_athena.conf	A setup of ladmin ('c' version)


< The fundamental setting method >

One line "key: Enter as a value."
<Example>
key: value

Head of the sentence   It will become a comment if it begins by //.
<Example>
//Since this line is a comment, it is not processed.

< Two or more same items >

Priority is given to what was written later unless it is written especially clearly that two or more same items are written.
login_athena.conf   allow and deny -- and --   map_athena.conf   map, npc, etc.
Another processing will be carried out if two or more lines are written.

==========================================================================
1. conf/login_athena.conf
--------------------------------------------------------------------------

< What this file is. >

	A setup of login-server (server which manages account) is described.
	It mainly becomes a setup of an administrator.


< Explanation of a key >

If you change one of these parameters, you must restart login-server to update.
If you repeat one parameter (except 'allow', 'deny' or 'ladminallowip') in the configuration file, only the latest will be validated.
	'Allow', 'deny' and 'ladminallowip' parameters are list parameters. Add as many 'allow', 'deny' or 'ladminallowip' as you need.

login_port
	Port to bind login-server to (always binds to all IP addresses)
	It is the port used by login-server. It can be omitted and a default is 6900.
	Default value: 6900.

admin_pass
	It is the administrator password used to administrate the login-server through a remote connection.
	You will found some tools in the tool directory, and specially the tool
		./tool/ladmin (for Login ADMINistration), a perl software, which manages all accounts.
	Void password will not work.
	NOTICE: You must change this or attackers can exploit your server.
	Default value: admin. CHANGES this default value to avoid hack.

ladminallowip
	It's a list parameter. To add an item in this list, just add a new line. Each line can only have 1 parameter.
	This list indicates the IP that the server accepts for a remote administration.
	This parameter accepts IP descriptions, like:
	IP or the begining of IP: it's a characters match. Write an IP (123.456.789.012) or the begining of the IP (123.456.).
		Because it's a characters match, the IP 123.4 matches with 123.4.xxx.yyy and 123.4z.xxx.yyy. So, add a final '.' to be sure of the IP.
		Example:
			allow: 127.0.0.1
			allow: 192.168.10.
	IP with number of bits for a network: it's a logical match. Write the network like this: 123.456.789.012/<#_of_mask_bits>
	Don't use the final '.', but use all four values.
		Example:
			allow: 127.0.0.1/32 (match only 1 IP, because 32 bits match all bits).
			allow: 192.168.10/24 (matches the network begining by 192.168.10).
	IP with mask of a network: it's a logical match. Write the network like this: 123.456.789.012/345.678.901.234
		Don't use the final '.', but use all four values for the IP and the mask.
		Example:
			allow: 127.0.0.1/255.255.255.255 (match only 1 IP).
			allow: 192.168.10.0/255.255.255.0 (matches the network begining by 192.168.10).
	all: matches any IP.
		Example:
			allow: all.
	clear: clears the list at this point. Really useful for 'import' parameter, in the new configuration file.
		Example:
			allow: clear.
	Add as many IP's as you wish.
	Default value: all.

gm_pass
	It is the required password when a player wants to change its (normal) account to a GM (Game Master) account.
	It is used by the @gm command.
	Level of gm is set with level_new_gm parameter.
	NOTICE: You should also change this one.
	Default value: gm. CHANGES this default value to avoid player hack.

level_new_gm
	Level of new GM created with @gm command. (default: 60)
	If you set to 0, you disable creation of new GM with @gm.
	To be able to create a gm with @gm, you must:
	- give a level to this value (not 0)
	- enable to level 0 the @gm command (atcommand_athena.conf) (default 100)
	- enable gm commands to normal player (battle_athena.conf, atcommand_gm_only parameter)
	- and normal player must give correct password when he use the @gm command
	Possible value: 0 to 99
	Default value: 60

new_account
	It is whether to permit new account creation.
	When allowed, the player must add _F or _M at the end of its login account to create a new account.
		This extension of the account gives the sex of the new created account.
		Without the _F/M, the account must have at least 4 characters.
		The account will not have e-mail to protect characters against deletion.
		The given password at first connection (when the account is created) is the account password.
	The value can be: 1 (to allow creation) or 0 (to forbid creation).
	Default value: 1.

account_filename
	It specifies the accounts save file.
	Gives the accounts txt database name and path to stores accounts information.
	Look into the file to have a short description of the database structure.
	Can be omited, a default is save/account.txt.
	Default value: save/account.txt.

gm_account_filename
	It specifies which account IDs have GM privileges, and what level they have.
	We recommand to use only ID value lower than first normal player ID (2000000).
	Levels ranges from 0 (no privilege/normal player) to 99 (highest privilege).
	If you change a value inside this file, you must restart login-server to use the new value
	   or use reloadgm ladmin command.
	Can be omited, a default is conf/GM_account.txt.
	Default value: conf/GM_account.txt

gm_account_filename_check_timer
	Timer to check if GM_account file has been changed and reload GM account automaticaly
	(in seconds)
	Value: 0 (disabled), or 2 or more.
	Default: 15

login_log_filename
	Gives the log file name and path to stores logs information.
	All operations done by the login-server are written in this file with a time stamp.
	Default value: log/login.log

login_log_unknown_packets_filename
	Gives the file name and path of the file that logs the received unknown packets.
	It's used for debug or hack check.
	All information are displayed with the time stamp, the ip of the source, the packet number,
		the number of received bytes and the detail of the packet with hex and text values. Example:
			01-06-2004 21:25:21.579: receiving of an unknown packet -> disconnection
			parse_login: connection #5 (ip: 82.64.111.96), packet: 0x4e92 (with being read: 28).
			Detail (in hex):
			92 4e 00 00 00 00 00 00 00  00 00 00 00 00 00 00  誰..............
			00 00 00 00 00 00 00 00 00  00 00 00              ............
	Default value: log/login_unknown_packets.log

save_unknown_packets
	It indicates if the unknown packets are saved or not.
	The unknown packets received from the char-server or remote administration does not relate to this parameter,
		because they are always saved.
	The value can be: 1 (to save unknown packets) or 0 (to not save them).
	Be careful: if you receive an attack, your hard disk can cause lag...
	So, active this option with a speed hard disk or for debug only.
	Default value: 0

display_parse_login
	It indicates if you want display the parse of the packets received in a normal connection.
	At all received packets in normal connection, the server display a message about the size and the value.
	It's useful for debug. Possible values: 0: no (default), 1: yes.
	Default value: 0

display_parse_admin
	It's same of 'display_parse_login' parameter, but only for remote administration received packets.
	It's useful for debug. Possible values: 0: no (default), 1: yes.
	Default value: 0

display_parse_fromchar
	It's same of 'display_parse_login' parameter, but only for char-server received packets.
	It's useful for debug. Possible values: 0: no (default), 1: yes (without packet 0x2714), 2: all packets.
	Default value: 0

date_format:
	indicate how to display date in logs, to players, etc.
	0: 31-12-2004 23:59:59
	1: 12-31-2004 23:59:59
	2: 2004-31-12 23:59:59
	3: 2004-12-31 23:59:59
	Default value: 3

min_level_to_connect
	Indicate the minimum GM level of player that the server accepts to connection.
	0: all players (normal player are 0. it's default), or
	1-99: GM level at least with level x
	Default value: 0 (any player or GM)

add_to_unlimited_account
	Give possibility to adjust (ladmin command: timeadd) the time of an unlimited account.
	If set to on/1/yes..., the adjustment is be done from actual time to set the final time of the account.
	If set to no/0/no..., the adjustment can not be done on an unlimited account.
		You must set (ladmin command: timeset) a final time before to adjust (ladmin command: timeadd)
	Default value: no

start_limited_time
	Starting additional sec from now for the limited time at creation of account
	-1: new account are created with UNlimited time (default value)
	0 or more: new accounts was created by addition of the value (in sec) to the actual time (to set first limited time)
	Default value: -1

check_ip_flag
	It's to check IP of a player between login-server and char-server (part of anti-hacking system)
	If player doesn't have same IP, connection is refused.
	Set to 0/off/no to not check IP of player.
	Set to 1/on/yes if you want to check (default)
	Note: if you enable this option, be sure that your (local/lan/wan) players use correct ip (in xml file) to contact servers,
	      and that your LAN is correctly configured (!), and that LAN configuration of eathena is right.
	      if not correct, you can read list of char-servers, but not look slots of characters (rejected by server).
	Default value: yes

order
	This parameter controls how the login-server must use the 'allow' and 'deny' lists.
	'Allow' and 'deny' are used to do IP lists.
	3 possibilities:
	'deny,allow': to sum it up, it's like 'allow if not deny'. The login-server only checks the 'deny' list.
		If the connected IP is in the 'deny' list, the login-server refuses the connection, otherwise it accepts it.
	'allow,deny': to sum it up, it's like 'deny if not allow'. The login-server only checks the 'allow' list.
		If the connected IP is in the 'allow' list, the login-server accepts the connection, otherwise it refuses it.
	'mutual-failture': to sum it up, it's like 'allow if in allow list and not in the deny list'.
		The login-server checks the 'allow' list. If the connected IP is in the 'allow' list,
		the login-server checks it in the 'deny' list. If the connectec IP is not in the 'deny' list,
		the login-server accepts the conection, otherwise it refuses it.
		In this case, a non 'allow' IP or a 'deny' IP will be never accepted.
	If you don't use allow AND deny, all ip are authorised.
	Default value: deny,allow.

allow
	It's a list parameter. To add an item in this list, just add a new line. Each line can only have 1 parameter.
	This list depends on the 'order' parameter (read 'order' parameter to known what the login-server do with this list).
	This parameter accepts IP descriptions, like:
	IP or the begining of IP: it's a characters match. Write an IP (123.456.789.012) or the begining of the IP (123.456.).
		Because it's a characters match, the IP 123.4 matches with 123.4.xxx.yyy and 123.4z.xxx.yyy. So, add a final '.' to be sure of the IP.
		Example:
			allow: 127.0.0.1
			allow: 192.168.10.
	IP with number of bits for a network: it's a logical match. Write the network like this: 123.456.789.012/<#_of_mask_bits>
	Don't use the final '.', but use all four values.
		Example:
			allow: 127.0.0.1/32 (match only 1 IP, because 32 bits match all bits).
			allow: 192.168.10/24 (matches the network begining by 192.168.10).
	IP with mask of a network: it's a logical match. Write the network like this: 123.456.789.012/345.678.901.234
		Don't use the final '.', but use all four values for the IP and the mask.
		Example:
			allow: 127.0.0.1/255.255.255.255 (match only 1 IP).
			allow: 192.168.10.0/255.255.255.0 (matches the network begining by 192.168.10).
	all: matches any IP.
		Example:
			allow: all.
	clear: clears the list at this point. Really useful for 'import' parameter, in the new configuration file.
		Example:
			allow: clear.
	It does not support the backward match of host name.
	Default value: <no list>.

deny
	This list works exactly like the 'allow' list, but for the 'deny' list.

import
	Gives an other configuration file to include in.
	You must write the additionnal configuration file name and path.
	The mentionned file can include any parameter of the login configuration.
	You can create a chain or configuration files if necessary.
	Default value: <no_additional_configuration_file>.

<Example>
login_port: 6900
admin_pass: admin
ladminallowip: all
gm_pass: gm
level_new_gm: 60
new_account: 1
account_filename: save/account.txt
gm_account_filename: conf/GM_account.txt
gm_account_filename_check_timer: 15
login_log_filename: log/login.log
login_log_unknown_packets_filename: log/login_unknown_packets.log
save_unknown_packets: 0
display_parse_login: 0
display_parse_admin: 0
display_parse_fromchar: 0
date_format: 3
min_level_to_connect: 0
add_to_unlimited_account: off
start_limited_time: -1
check_ip_flag: yes
order: deny,allow
//deny: all
//allow: 127.0.0.1
//allow: 10.0.
//allow: 172.16.0.0/16
//allow: 192.168.0.0/255.255.255.0
//import: import/new_login.conf

==========================================================================
2. conf/char_athena.conf
--------------------------------------------------------------------------

< What this file is. >

  A setup of char-server (server which manages the character data in one world)
  It ???. The name of a world, the password of a world, a server's IP,
  A data file name etc. is described.


<Explanation of a key>

userid
	It is ID which this world uses. It registers with login-server.
	ID of account is specified.
	And also [ it uses it for connecting to map-server used in this world ]
	It is used also for discernment of the world within login-server.
	It is each when registering two or more worlds into the same login-server.
	It is necessary to use another ID by char-server.

passwd
	It is a password corresponding to ID which this world uses.
	It is used for the time of the registration to login-server, and connecting to map-server.

server_name
	It is the name of this world. It is displayed when logged in by the client.

wisp_server_name
	Wisp name for server: used to send wisp from server to players (between 4 to 23 characters)
	Default: Server

login_ip
	It is the IP address of login-server which registers a world seen from char-server.

login_port
	It is the port used by login-server. It can omit and a default is 6900.

char_ip
	It is the IP address of char-server seen from the client.

char_port
	It is the port used by char-server. It can omit and a default is 6121.

email_creation
	Option to force a player to create an e-mail.
	If a player have default e-mail, and if you activate this option, the player can only connect in the game (to arrive on a map) like follow:
	- Create at least 1 character
	- Select 1 character
	- Select DEL to enter his/her e-mail. (if OK is choosen, client says to the player: 'invalid e-mail')
	- If his/her e-mail is correct, the player enter in the game (an e-mail is saved definitively).
	- If his/her e-mail is incorrect, he/she have 'incorrect e-mail' and must select again DEL.
	- After entering in the game (when the player arrives on a map), DEL and SEL/OK button work normaly for all next connections.
	Resume: If a player have "incorrect/invalid e-mail" when he/she click on 'OK' button,
	        the player must click 'DEL' button and register his/her NEW e-mail to enter in the game
	So, default is 0, because administrator must explain to their players before to activate this option.

char_txt
	It is the data file name which stores character data.
	It is not omissible.

char_maintenance
	If it is made 1, it will be in a maintenance state.
	It can omit and a default is 0.

char_new
	If it is made 1, the time (new) of being displayed on a client will stick.
	It can omit and a default is 0.

max_connect_user
	It is the maximum number of the user linked to a Char-server.
	If it is made 0, the maximum number restrictions will be lost.
	Please use to apply restriction of the connection number.
	It can omit and a default is 0.

check_ip_flag
	It's to check IP of a player between char-server and other servers (part of anti-hacking system)
	If player doesn't have same IP, connection is refused.
	Set to 0/off/no to not check IP of player.
	Set to 1/on/yes if you want to check (default)
	Note: if you enable this option, be sure that your (local/lan/wan) players use correct ip (in xml file) to contact servers,
	      and that your LAN is correctly configured (!), and that LAN configuration of eathena is right.
	default: yes

autosave_time
	It is time to save data automatically at a file. A unit is a second.
	It can omit and a default is 300 (5 minutes).

start_point
	When a new character is created, it is the place where they start.
	It describes like "a map file name, X coordinates, and Y coordinates."
	It can omit and is a default.   It is new_1-1.gat and 53,111.

start_weapon:
	Starting weapon for new characters
	default value: 1201 (Knife)

start_armor:
	Starting armor for new characters
	default value: 2301 (Cotton Shirt)

start_zeny
	When new character is made, the quantity of ZENY which it has from the start is set up.
	Being able to omit, a default is 500.

unknown_char_name
	The name returned when the name request of character which does not exist in a character server is carried out
	It sets up. Being able to omit, a default is Unknown.

char_log_filename
	A character server's log file is specified.
	Being able to omit, a default is log/char.log.

name_ignoring_case
	Allow or not identical name for characters but with a different case (upper/lower): example: Test-test-TEST-TesT
	0 (default): no character can have same name, instead of the case (no Test-TEST...)
	1: more than 1 of character can have same name if names are not using same case (one with Test, another with TEST, etc...)

char_name_option
	Manage possible letters/symbol in the name of charater. Control character (0x00-0x1f) are never accepted. Possible values are:
	0: no restriction (default)
	1: only letters/symbols in 'char_name_letters' option.
	2: Letters/symbols in 'char_name_letters' option are forbidden. All others are possibles.
	default: 0.

char_name_letters
	Set the letters/symbols that you want use with the 'char_name_option' option.
	Note: add 'space' between 2 others letters/symbols.
	default: void.

online_txt_filename
	It sets the filename of the file which receives the online players list in text
	default: online.txt

online_html_filename
	It sets the filename of the file which receives the online players list, but in html version
	default: online.html

online_sorting_option
	It sets how to display online players in the txt/html files.
	0: no sorting (default)
	1: by alphabetical order of their name
	2: by number of their zenys
	3: by their base level
	4: by their job (and job level inside the same job)
	5: by alphabetical order of their actual map location
	Note: sorting operation with a lot of online players can take time on a slow computer.

online_display_option
	It sets which columns that you want display in the online files. Do the addition of these values:
	(if value is 0, no file is done)
	1: name (just the name, no function like 'GM')
	2: job
	4: levels
	8: map name
	16: mapname and coordonates
	32: zenys
	64: name (with 'GM' if the player is a GM)
	default value: 1 (only name)

online_gm_display_min_level
	minimum GM level to display 'GM' when we want to display it.
	default value: 1 (any GM)

online_refresh_html
	refresh time (in sec) of the html file in the explorer
	default: 20

import
	The line is replaced with the contents of another file.


< Example >
userid: s1
passwd: p1
server_name: eAthena
wisp_server_name: Server
login_ip: 127.0.0.1
login_port: 6900
char_ip: 127.0.0.1
char_port: 6121
email_creation: 0
char_txt: save/athena.txt
char_maintenance: 0
char_new: 0
max_connect_user: 0
check_ip_flag: yes
autosave_time: 15
start_point: new_1-1.gat,53,111
start_weapon: 1201
start_armor: 2301
start_zeny: 500
unknown_char_name: Unknown
char_log_filename: log/char.log
name_ignoring_case: 0
char_name_option: 0
//char_name_letters: 
online_txt_filename: online.txt
online_html_filename: online.html
online_sorting_option: 0
online_display_option: 1
online_gm_display_min_level: 1
online_refresh_html: 20
//import: import/new_char.conf


==========================================================================
3. conf/inter_athena.conf
--------------------------------------------------------------------------

< What this file is. >

  A setup of inter-server (server which manages the global data in one world)
  It ???. A data file name etc. is described.
  (It is operating as a part of char-server in program now.) 

< Explanation of a key >

storage_txt
	It is the file name which stores warehouse data.
	It can omit and is a default.   It is save/storage.txt.

party_txt
	It is the file name which stores party data.
	It can omit and is a default.   It is save/party.txt.

guild_txt
	It is the file name which stores guild data.
	It can omit and is a default.   It is save/guild.txt.

pet_txt
	It is the file name which stores pet data.
	It can omit and is a default.   It is save/pet.txt.

castle_txt
	It is the file name which stores the castle data of a guild.
	It can omit and is a default.   It is save/castle.txt.

guild_storage_txt
	It is the file name which stores guild warehouse data.
	Being able to omit, a default is save/g_storage.txt.

accreg_txt
	It is the file name which stores the account share variable data in a world.
	It can omit and is a default.   It is save/accreg.txt.

party_share_level
	The restriction level of a fair distribution party is set up.
	Being able to omit, a default is 10.

inter_log_filename
	An interchange server's log file is specified.
	Being able to omit, a default is log/inter.log.

import
	The line is replaced with the contents of another file.


< Example >
storage_txt: save/storage.txt
party_txt: save/party.txt
guild_txt: save/guild.txt
pet_txt: save/pet.txt
castle_txt: save/castle.txt
guild_storage_txt: save/g_storage.txt
accreg_txt: save/accreg.txt
party_share_level: 10
inter_log_file: log/inter.log


==========================================================================
4. conf/map_athena.conf
--------------------------------------------------------------------------

< What this file is. >

  A fundamental setup of map-server (server which manages game advance on the map in his duty)
  It ???.


< Explanation of a key >

userid
	It is ID which this world uses. It is used for the connecting to char-server.

passwd
	It is a password corresponding to ID which this world uses.

char_ip
	map-serverからみた、このサーバーが担当するマップのワールドを管理する
	char-serverのIPです。

char_port
	マップを登録するchar-serverのポートです。省略可能でデフォルトは6121です。

map_ip
	クライアントから見たこのmap-serverのIPです。

map_port
	map-serverで使用するポートです。省略可能でデフォルトは5121です。

autosave_time
	データを自動的にキャラ鯖に送る時間です。単位は秒です。
	省略可能でデフォルトは60(1分)です。

water_height
	水場の高さを指定するファイルを決めます。
	省略可能で、デフォルトはconf/water_height.txtです。

motd_txt
	Message of the Dayファイルを指定します。
	省略可能で、デフォルトはconf/motd.txtです。

help_txt
	@helpで表示するファイルを指定します。
	省略可能で、デフォルトはconf/help.txtです。

mapreg_txt
	MAPサーバー内キャラクター共有変数を保存するファイルを指定します。
	省略可能で、デフォルトはsave/mapreg_txtです。

data_grf
	ROデータファイル data.grf へのパスです。
	省略可能で、デフォルトは ./data.grf です。
	grf-files.txtがある場合そちらの設定が優先されます。

sdata_grf
	サクライデータファイル sdata.grf へのパスです。
	省略可能で、デフォルトは ./sdata.grf です。
	grf-files.txtがある場合そちらの設定が優先されます。

adata_grf
	αデータファイル adata.grf へのパスです。
	省略可能で、デフォルトは ./adata.grf です。
	grf-files.txtがある場合そちらの設定が優先されます。

npc
	読み込むnpcデータファイルへのパスです。
	複数指定可能で、指定した順にロードします。
	clear を指定するとそれまでに登録したパスを全て削除します。

delnpc
	読み込まないnpcファイルへのパスです。
	指定したパスはnpcで指定されたデータファイルリストから削除されます。
	all を指定すると全て削除します( npc: clear と同義)。

map
	このマップが担当するマップファイル名です。
	複数指定可能で、指定した順にロードします。
	存在しないマップを指定した場合エラーになります。
	clear を指定するとそれまでに登録したファイル名を全て削除します。

delmap
	読み込まないマップファイルへのパスです。
	指定したファイルはmapで指定されたリストから削除されます。
	all を指定すると全て削除します( map: clear と同義)。

import
	その行を別ファイルの中身と置き換えます。

< Example >

userid: s1
passwd: p1
char_ip: 127.0.0.1
char_port: 6121
map_ip: 127.0.0.1
map_port: 5121
autosave_time: 60
nullpo_check: 1
water_height: conf/water_height.txt
data_grf: ./data.grf
sdata_grf: ./sdata.grf
npc: conf/warp/npc_warp.txt
npc: conf/warp/npc_warp25.txt
npc: conf/warp/npc_warp3.txt
npc: conf/mob/npc_monster3J.txt
map: prontera.gat
map: prt_castle.gat
（npc、mapは多いので省略）
delnpc: conf/sample/npc_test.txt
npc: clear
delmap: prontera.gat
delmap: all

==========================================================================
5. conf/battle_athena.conf
--------------------------------------------------------------------------

< What this file is. >

  Battle relation of map-server (server which manages game advance on the map in his duty),
  Other setup is described.
  All setup can be omitted and a default value is used at the time of an abbreviation.

< The special character sequence which can be specified to be a value >

  yes   on   It is processed as 1. (Effective meaning)
  no   off   It is processed as 0. (Invalid meaning)


< Explanation of a key >

warp_point_debug
	ワープポイントを普通に表示するかどうかです。これをyesにすると
	ワープポイントのかわりにギルドフラグがその場所に出てワープ
	ポイントの名前を確認することができます。デフォルトはnoです。

enemy_critical
	プレイヤーと同じLUKによるクリティカル判定をMOBとペットに有効にするかどうかです。
	このクリティカルはもちろん必中なので、onにすると高Fleeでも、
	LUKの高い敵の攻撃が避けづらくなります。デフォルトはnoです。

enemy_critical_rate
	モンスターとペットのクリティカル頻度の百分率です。enemy_criticalがyesじゃないと設定しても何の意味もありません。デフォルトは100です。

enemy_str
	モンスターのが攻撃するときのATK計算にSTRを使用するかどうかです。
	デフォルトはyesです。

enemy_perfect_flee
	敵が完全回避をするかどうかです。これをyesにすると敵も完全回避を
	するようになります。デフォルトはnoです。

casting_rate
	スキルの詠唱時間を百分率で調整します。
	200にすると詠唱時間が倍になり、0にすると詠唱がなくなります。
	0-1000程度の数値を指定してください。デフォルトは100です。

delay_rate
	スキル使用後ディレイを百分率で調整します。
	200にするとディレイが倍になり、0にするとディレイがなくなります。
	0-1000程度の数値を指定してください。デフォルトは100です。

delay_dependon_dex
	スキル使用後ディレイが詠唱時間と同じようにDEXで影響を受けるかどうかを
	指定します。デフォルトはnoです。

skill_delay_attack_enable
	スキルディレイの間攻撃できるかどうかです。yesにすればスキルディレイの間スキルは使えないけど攻撃はできます。
	デフォルトはnoです。

left_cardfix_to_right
	二刀流の左手武器の種族、属性、Sizeのダメージ補正を右手武器に適用するかどうかです。これをyesにすると左手武器には種族、属性、Sizeのダメージ補正が掛からなくなります。デフォルトはnoです。

player_skill_add_range
	プレイヤーのスキル射程から敵が離れた時どれぐらいの距離までスキルを使用可能にするかを決めます。スキルの射程+player_skill_add_rangeまでスキルが届きます。デフォルトは0ですが少しは入れた方がいいです。

skill_out_range_consume
	スキルの射程から敵が離れてスキルが失敗した時SPやアイテムを消耗するかどうかです。デフォルトはyesです。

monster_skill_add_range
	モンスターのスキル射程から敵が離れた時どれぐらいの距離までスキルを使用可能にするかを決めます。スキルの射程+monster_skill_add_rangeまでスキルが届きます。デフォルトは0です。

player_damage_delay
	プレイヤーキャラがダメージを受けた時移動できないディレイを入れるかどうかです。
	yesにするとインデュアでも使わない限りダメージを受けた時
	しばらくは動きません。デフォルトはyesです。

player_damage_delay_rate
	プレイヤーキャラがダメージを受けた時移動できないディレイを百分率で調整します。
	200にするとディレイが倍になり、0にするとディレイがなくなります。
	player_damage_delayがyesにしてないと意味がありません。
	デフォルトは100です。

defunit_not_enemy
	防御ユニット（セイフティウォール/ニューマなど）がMOBに効果を
	及ぼさないようにするかどうかです。デフォルトはyesです。

random_monster_checklv
	モンスター召還アイテムを使ったときに自分よりLVの高いモンスターを召還するかどうかです。
	yesにすると、自分よりLVの高いモンスターを召還しないようになります。
	デフォルトはyesです。

attribute_recover
	属性によって攻撃されても回復するかどうかです。noの場合は-属性を
	0にします。デフォルトはyesです。

item_auto_get
	アイテム自動取得機能を使用するかどうかです。
	yesにするとアイテムドロップをモンスターに一番多くダメージを与えたキャラが
	自動でアイテムを取得するようになります。
	デフォルトはnoです。

flooritem_lifetime
	床に落ちたアイテムが消えるまでかかる時間です。単位はms(ミリ秒)です。
	デフォルトは60000(60秒)で最小は1000(1秒)です。1000未満ならデフォルトにセットされます。

item_first_get_time
	モンスターに一番ダメージを多く与えたキャラ以外がそのモンスターの
	ドロップアイテムを取れるようになるまでの時間です。
	単位はms(ミリ秒)です。デフォルトは10000(10秒)です。

item_second_get_time
	item_first_get_timeの後モンスターに二番目にダメージを多く与えた
	キャラ以外がそのモンスターのドロップアイテムを取れるようになるまでの
	時間です。単位はms(ミリ秒)です。デフォルトは7000(7秒)です。

item_third_get_time
	item_second_get_timeの後モンスターに三番目にダメージを多く与えた
	ャラ以外がそのモンスターのドロップアイテムを取れるようになるまでの
	時間です。単位はms(ミリ秒)です。デフォルトは5000(5秒)です。

mvp_item_first_get_time
	モンスターに一番ダメージを多く与えたキャラ以外がそのモンスターの
	MVPアイテムを取れるようになるまでの時間です。
	単位はms(ミリ秒)です。デフォルトは10000(10秒)です。

mvp_item_second_get_time
	mvp_item_first_get_timeの後モンスターに二番目にダメージを多く与えた
	キャラ以外がそのモンスターのMVPアイテムを取れるようになるまでの
	時間です。単位はms(ミリ秒)です。デフォルトは10000(10秒)です。

mvp_item_third_get_time
	mvp_item_second_get_timeの後モンスターに三番目にダメージを多く与えた
	キャラ以外がそのモンスターのMVPアイテムを取れるようになるまでの
	時間です。単位はms(ミリ秒)です。デフォルトは2000(2秒)です。

item_rate
	アイテムドロップ率を百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。

drop_rate0item
	落下確率0のアイテム(一部モンスターにおけるリンゴ)を落下するかどうかの設定です。
	デフォルトはnoです。

base_exp_rate
	BaseEXPの所得倍率を百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。
	
job_exp_rate
	JobEXPの所得倍率を百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。

death_penalty_type
	デスペナルティのタイプを決定します。
	0で死んだ後リスタートする時に適用で持っているEXPの量から比率の分を減らす仕様、1で死んだ直後に適用で持っているEXPの量から比率の分を減らす仕様です。
	2で死んだ後リスタートする時に適用で次のレベルアップまでのEXPから比率の分を減らす仕様、3で死んだ直後に適用で次のレベルアップまでのEXPから比率の分を減らす仕様です。
	デフォルトは0です。

death_penalty_base
	デスペナルティによるBASE経験値減少率を百分率で調整します。
	あまり低すぎる値を使うと減りません。単位は0.01%です。
	デフォルトは0です。

death_penalty_job
	デスペナルティによるJOB経験値減少率を百分率で調整します。
	あまり低すぎる値を使うと減りません。単位は0.01%です。
	デフォルトは0です。

zeny_penalty
	死んだ時無くなるゼニ量の比率です。単位は0.01%です。死んだ時
	減るわけではなく死んだ後セーヴポイントに戻る時適用されます。
	デフォルトは0です。

restart_hp_rate
	リスタートする時に回復するHP比率を百分率で調整します。単位は%です。
	デフォルトは0です。0の場合1回復になります。

restart_sp_rate
	リスタートする時に回復するSP比率を百分率で調整します。単位は%です。
	デフォルトは0です。0の場合は回復しません。
	そしてSPが比率より高い場合も回復しません。

mvp_hp_rate
	MVP モンスターのHPを百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。

mvp_item_rate
	MVPアイテムの所得倍率を百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。

mvp_exp_rate
	MVP EXPの所得倍率を百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。

monster_hp_rate
	MVP 以外のモンスターのHPを百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。

monster_max_aspd
	モンスターの最大攻撃速度を設定します。
	デフォルトは199です。最大は199で最小は100です。

atcommand_gm_only
	＠コマンドをGM専用にするかどうかです。デフォルトはnoです。

gm_all_skill
	全てのスキルを覚えられるようにするGMのレベルを設定します。
	これを0以外にすると、そのGMレベル以上のGMはJOBやスキル所得条件に関係なく全スキルが覚えられます。(クェストスキルも含めて)
	デフォルトは 0 です。0の場合はGMではない全てのキャラの意味ではなく全てのGMが全てのスキルを覚えられないと言うことです。

gm_all_equipment
	全ての装備品を装備できるようにするGMのレベルを設定します。
	これを0以外にすると、そのGMレベル以上のGMはJOBやレベル、性別に関係なく
	全装備品を装備できるようになります。ただし、クライアント側でエラーを
	起こす組み合わせもあると思います。デフォルトは 0 です。
	0の場合は全てのGMは通常プレイヤーと同じ判定が行われます。

gm_skill_unconditional
	無条件にスキルを使用できるようにするGMのレベルを設定します。
	これを0以外にすると、そのGMレベル以上のGMは装備武器や消費アイテムの有無
	などに関係なく、そして何も消費することなくスキルを使用できるように
	なります。判定処理を無視するので動作に不都合がでる可能性があります。
	デフォルトは 0 です。 0の場合は全てのGMは通常プレイヤーと同じ判定が
	行われます。

player_skillfree
	スキルツリーに関係なくスキルを上げることができるかどうかです。
	これをyesにすればプレイヤーの職業で習うことができるスキル全てを
	スキルツリーに関係なく上げることができます。デフォルトはnoです。

player_skillup_limit
	スキルリセット等をした時スキルを制限なしに上げるかどうかです。
	これをyesにすれば始めのスキルポイント9つはノービスで習うスキルにしか
	使えません。そしてその後の39は1次職業で習う物にだけ使えてその後の
	ポイントは自由に使うことができます。デフォルトはnoです。

weapon_produce_rate
	武器製造スキルでの製造成功率を百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。

potion_produce_rate
	ポーション製造スキルでの製造成功率を百分率で調整します。
	0-1000程度の数値を指定してください。デフォルトは100です。

monster_active_enable
	先攻モンスターを先攻にするかどうかです。これをnoにすると
	先攻モンスターが非先攻になります。デフォルトはyesです。

monster_damage_delay_rate
	モンスターがダメージを受けた時移動できないディレイを百分率で調整します。
	200にするとディレイが倍になり、0にするとディレイがなくなります。
	デフォルトは100です。

monster_loot_type
	ルートモンスターの行動の仕方を指定します。
	0の場合はLOOTITEM_SIZEまでアイテムを食べてもまたアイテムを食べて、
	前のアイテムが消える仕様。1の場合はLOOTITEM_SIZEまでアイテムを食べると
	もうアイテムを食べなくなる仕様。デフォルトは0です。

mob_skill_use
	MOBがスキルを使ってくるかどうかです。デフォルトはyesです。

mob_count_rate
	map_athena.confで指定されたnpcデータを読み込む際、
	monsterで定義された配置MOBの数を百分率で調整します。
	例外として、配置数1として定義されたMOBの数は変わりません。(BOSS対策)
	また、配置数を下方修正したとき、1未満になった場合は1として処理します。
	0-1000程度で指定してください。デフォルトは100です。

quest_skill_learn
	クェストスキルを普通に習得するかどうかです。
	これをyesにするとクェストスキルが普通に表示されてスキルポイントを使って習得することができます。
	デフォルトは noです。

quest_skill_reset
	スキルをリセットする時クェストスキルをリセットするかどうかです。
	デフォルトはyesです。
	noにしてもquest_skill_learnをyesにすればリセットされます。

basic_skill_check
	座り、交換、パーティ結成、チャットルーム作り等の時基本スキルをチェックするかどうかです。 
	これをnoにすれば座り、交換等の基本スキルが必要な行動を基本スキルに関係なく使うことができます。
	デフォルトは yesです。

guild_emperium_check
	ギルドを作る時エンペリウムを消費するかどうかです。これをnoにすれば
	エンペリウムなしでもギルドが作れます。
	デフォルトは yesです。

guild_exp_limit
	ギルドの役職に設定できる上納経験値の割合の上限を設定できます。
	デフォルトは50(%)です。

player_invincible_time
	マップ移動やテレポート、復活した時の無敵時間を設定します。単囲は
	ms(ミリ秒)。移動、攻撃行動、スキル使用、アイテム使用をするとこの
	時間はなくなる。(シーズモードでは時間を2倍にして適用)
	デフォルトは5000(5秒)です。
	
pet_catch_rate
	ペットの捕獲倍率を百分率で設定します。
	0-1000程度の数値を指定してください。デフォルトは100です。
pet_rename
	ペットの名前を変更するかどうかを決めます。デフォルトはnoです。
	yesは何度でも名前の変更が可能。noは一度変更するともう変更不可能になる。

pet_friendly_rate
	ペットに餌をあげた時上がる親密度の倍率です。
	親密度が減る場合は適用されません。デフォルトは100です。

pet_hungry_delay_rate
	ペットの腹が減る時間の倍率です。
	倍率が高いと腹が減り難くなります。デフォルトは100です。

pet_hungry_friendly_decrease
	ペットの腹が完全に減った時減る親密度の量です。デフォルトは5です。

pet_str
	ペットのATK計算にSTRを適用するかどうかです。
	デフォルトはyesです。

pet_status_support
	ペットによるステータスボーナスを適用するかどうかです。yesにすると
	ペットを持ってる時ペット毎に設定されているステータスボーナスが
	付きます。デフォルトはnoです。

pet_attack_support
pet_damage_support
	主人がモンスターにダメージを与えたとき、受けたときに
	ペットが支援攻撃をするかどうかです。yesにするとペットの親密度が
	きわめて親しいの時だけ支援攻撃をしてくれます。デフォルトはnoです。

pet_support_rate
	ペットの支援攻撃確率の倍率です。（100で通常、200で倍です) 
	倍率が高いと支援攻撃よくしてくれるようになります。デフォルトは100です。

pet_attack_exp_to_master
	ペットが与えたダメージの分の経験値を主人が収得するかどうかです。
	これをyesにするとペットの攻撃によるダメージも主人が与えた物になり
	主人が経験値を収得することができます。デフォルトはnoです。

pet_attack_exp_rate
	ペットが与えたダメージの分の経験値を主人が収得する時の倍率です。
	デフォルトは100です。
pet_lootitem
	ペットがアイテムをルートするかどうかの設定です。
	デフォルトはnoです。

pet_weight
	ペットにルートさせるときの重量制限です。
	デフォルトは1000です。

skill_min_damage
	スキルを使った時ダメージが連打数より未満の場合全てミスになるか1ダメージになるかを決定します。
	デフォルトはnoです。

finger_offensive_type
	スキル指弾の表示タイプを決定します。
	0は本サーバー仕様で1はアテナ仕様です。デフォルトは0です。

heal_exp
	スキル「ヒール」を使った際にもらえるジョブ経験値量の設定です。
	100で回復した量と同量になります。
	モンスターの経験値を変更してない場合は5〜10程度が適当だと思われます。
	デフォルトは0です。

resurrection_exp
 	スキル「リザレクション」を使った際にもらえる経験値量の設定です。
	単位は0.01%です。復活したプレイヤーが持っている経験値 * レベル差/100 * resurrection_exp/10000 分の経験が貰えます。
	デフォルトは0です。

shop_exp
	スキルディスカウントとオーバーチャージを習得してる場合NPC利用金額に応じたJOB経験値獲得倍率です。（100で通常、200で倍になります）
	計算式はln(代金*スキルレベル) * shop_exp / 100 で買う場合はディスカウントがある時のみ適用で売る場合オーバーチャージがある時のみ適用されます。
	計算式は適度に作った物です。
	デフォルトは0です。

combo_delay_rate
	モンクのコンボディレイの時間の倍率です。（100で通常、200で倍になります。）
	ただ注意するべきなのは高く設定するのがいいことではないことです。
	コンボディレイが長いとコンボの繋ぎはよくなりますがその長くなった
	時間の間は行動できないからです。デフォルトは100です。

item_check
	アイテムのチェックを行うかどうかです。
	ログイン時とマップ移動時に所持アイテムに不正アイテムがないかチェックします。
	また@itemで不正アイテムを所得できなくします。
	デバグやアイテムの確認を行うときなどはoffにしてください。
	デフォルトはonです。

wedding_modifydisplay
	タキシードとウェディングドレスを表示するかどうかです。
	結婚キャラを表示したい場合はこれをyesにしてください。
	デフォルトはnoです。

natural_healhp_interval
	HPが自動回復するまで掛かる時間です。単位はms(ミリ秒)です。
	デフォルトは6000でNATURAL_HEAL_INTERVAL未満にすることはできません。

natural_healsp_interval
	SPが自動回復するまで掛かる時間です。単位はms(ミリ秒)です。
	デフォルトは8000でNATURAL_HEAL_INTERVAL未満にすることはできません。

natural_heal_skill_interval
	スキルによって自動回復する場合掛かる時間です。単位はms(ミリ秒)です。
	デフォルトは10000でNATURAL_HEAL_INTERVAL未満にすることはできません。

natural_heal_weight_rate
	自動回復ができなくなる重量を設定します。単位は%です。
	最小は50で最大は101です。最大が101なのは重量が
	natural_heal_weight_rate未満の時に自動回復するからです。(つまり101なら
	いつでも自動回復できます。)
	デフォルトは50です。

item_name_override_grffile
	アイテムの名前(英語以外の名前です。)を.grfファイルから読むかどうかです。
	noにするとitem_db.txtの名前を使います。
	デフォルトはyesです。

arrow_decrement
	弓を使う時矢を消耗するかどうかです。これをnoにすると
	矢が消耗されません。(矢を装備する必要はあります。)
	デフォルトはyesです。

max_aspd
	プレイヤーの最大攻撃速度を設定します。
	デフォルトは199です。最大は199で最小は100です。

max_hp
	 最大HPを設定します。
	デフォルトは32500です。最大は1000000で最小は100です。

max_sp
	 最大SPを設定します。
	デフォルトは32500です。最大は1000000で最小は100です。

max_parameter
	プレイヤーの基本パラメータの最大値を設定します。
	デフォルトは99です。最大は10000で最小は10です。
	基本パラメータ大きい過ぎるとクライアント落ちが起こるので
	適当な値を設定する方が良いです。

max_cart_weight
	 カートの最大重量を設定します。
	デフォルトは8000です。最大は1000000で最小は100です。

player_skill_log
	プレイヤーのスキル使用ログを表示するかどうかです。
	デフォルトはnoです。

monster_skill_log
	モンスターのスキル使用ログを表示するかどうかです。
	デフォルトはnoです。

battle_log
	戦闘関係のログを表示するかどうかです。
	デフォルトはnoです。

save_log
	キャラの保存に関するログを表示するかどうか
	デフォルトはnoです。

error_log
	エラーログを表示するかどうかです。
	デフォルトはyesです。

etc_log
	スキル、戦闘、キャラ保存、エラー以外のログを表示するかどうか
	デフォルトはyesです。

save_clothcolor
	服の色を保存するかどうか、有効にすると問題があるかもしれません。
	デフォルトはnoです。

undead_detect_type
	アンデッドを認識する方法を設定します。0で属性のみ、1で種族のみ、
	2で属性と種族の両方のどちらでもあってる場合になります。
	デフォルトは0です。

player_auto_counter_type
	プレイヤーのオートカウンターの仕様を設定します。0で100%クリティカル
	でスキル反撃無し、1で防御無視、Hit+20、クリティカル率2倍でスキル反撃
	無し、2で100%クリティカルでスキル反撃有り、3で防御無視、Hit+20、
	クリティカル率2倍でスキル反撃有りです。
	デフォルトは1です。

monster_auto_counter_type
	モンスターのオートカウンターの仕様を設定します。0で100%クリティカル
	でスキル反撃無し、1で防御無視、Hit+20、クリティカル率2倍でスキル反撃
	無し、2で100%クリティカルでスキル反撃有り、3で防御無視、Hit+20、
	クリティカル率2倍でスキル反撃有りです。
	デフォルトは1です。

agi_penaly_type
	agi_penaly_count以上の敵に攻撃された時のagiペナルティの仕様を設定します。
	0でなし、1でagi_penaly_num%ずつ減って、2でagi_penaly_numだけ減ります。
	デフォルトは0です。

agi_penaly_count
	agiペナルティを適用する敵の数を設定します。
	2未満に設定することはできません。デフォルトは3です。

agi_penaly_num
	agiペナルティによって減る回避の量を設定します。
	デフォルトは0です。

vit_penaly_type
	vit_penaly_count以上の敵に攻撃された時のvitペナルティの仕様を設定します。
	0でなし、1でvit_penaly_num%ずつ減って、2でvit_penaly_numだけ減ります。
	(減るのはvitによる防御のみ)
	デフォルトは0です。

vit_penaly_count
	vitペナルティを適用する敵の数を設定します。
	2未満に設定することはできません。デフォルトは3です。

vit_penaly_num
	vitペナルティによって減る回避の量を設定します。
	デフォルトは0です。

player_defense_type
	プレイヤーが対象に攻撃する時のDEFの計算方法。0で本鯖仕様、1以上で減算(DEF*値)。

monster_defense_type
	モンスターが対象に攻撃する時のDEFの計算方法。0で本鯖仕様、1以上で減算(DEF*値)。

pet_defense_type
	ペットが対象に攻撃する時のDEFの計算方法。0で本鯖仕様、1以上で減算(DEF*値)。

magic_defense_type
	MDEFの計算方法。0で本鯖仕様、1以上で減算(MDEF*値)

player_skill_reiteration
	プレイヤーが使う一部の地面スキルの重ね置きを許可するかどうかです。
	これをyesにするとSWやニューマ、トラップを重ねて置くことができます。
	デフォルトはnoです。

monster_skill_reiteration
	モンスターが使う一部の地面スキルの重ね置きを許可するかどうかです。
	これをyesにするとSWやニューマ、トラップを重ねて置くことができます。
	デフォルトはnoです。

player_skill_nofootset
	プレイヤーが使う一部の地面スキルをプレイヤーやモンスターの足元に
	置くのを禁止するかどうかです。これをyesにするとスキルを設置する時その
	効果範囲にプレイヤーやモンスターがいるとスキルを置くことができません。
	デフォルトはnoです。

monster_skill_nofootset
	モンスターが使う一部の地面スキルをプレイヤーやモンスターの足元に
	置くのを禁止するかどうかです。これをyesにするとスキルを設置する時その
	効果範囲にプレイヤーやモンスターがいるとスキルを置くことができません。
	デフォルトはnoです。

player_cloak_check_type
	 プレイヤークローキングの仕様を設定します。
	0は壁チェック有り、スキル使用と攻撃で解除される。
	1は壁チェック無し、スキル使用と攻撃で解除される。
	2はは壁チェック有り、スキル使用と攻撃で解除されない。
	2はは壁チェック無し、スキル使用と攻撃で解除されない。
	デフォルトは0です。

monster_cloak_check_type
	 モンスタークローキングの仕様を設定します。
	0は壁チェック有り、スキル使用と攻撃で解除される。
	1は壁チェック無し、スキル使用と攻撃で解除される。
	2はは壁チェック有り、スキル使用と攻撃で解除されない。
	2はは壁チェック無し、スキル使用と攻撃で解除されない。
	デフォルトは0です。

gvg_short_attack_damage_rate
	シーズモードで近距離物理攻撃のダメージ倍率です。デフォルトは100です。

gvg_long_attack_damage_rate
	シーズモードで遠距離物理攻撃のダメージ倍率です。デフォルトは100です。

gvg_magic_attack_damage_rate
	シーズモードで魔法攻撃のダメージ倍率です。デフォルトは100です。

gvg_misc_attack_damage_rate
	シーズモードで物理攻撃と魔法攻撃以外の攻撃(鷹やトラップ等)の
	ダメージ倍率です。デフォルトは100です。

mob_changetarget_byskill: no
	条件がskillusedのスキルをMOBがPCに使用するとき、その対象をスキル使用者にするかどうかです。
	MOBスキル使用後にタゲは戻ります。デフォルトはnoです。

player_attack_direction_change
	プレイヤーが攻撃した時方向を変更するかどうかです。本鯖では動けない限り方向が変えらないのですがバグぽい仕様なのでデフォルトはyesです。
	noにすれば動くことだけで方向が変えるようになります。

monster_attack_direction_change
	モンスターが攻撃した時方向を変更するかどうかです。本鯖では動けない限り方向が変えらないのですがバグぽい仕様なのでデフォルトはyesです。
	noにすれば動くことだけで方向が変えるようになります。

player_land_skill_limit
	skill_db.txtで設定されている地面スキルの数制限をプレイヤーに
	適用するかどうかです。これをyesにすれば設定されている数以上は
	地面に設置することができなくなりますが数制限をどう変えても
	MAX_SKILLUNITGROUPを越える数の設置はできません。
	デフォルトはyesです。

monster_land_skill_limit
	skill_db.txtで設定されている地面スキルの数制限をモンスターに
	適用するかどうかです。これをyesにすれば設定されている数以上は
	地面に設置することができなくなりますが数制限をどう変えても
	MAX_MOBSKILLUNITGROUPを越える数の設置はできません。
	デフォルトはyesです。

party_skill_penaly
	一部のパーティスキルを使用者とパーティでスキル効果が違うように
	するかどうかです。これの影響を受けるスキルは今の所
	アドレナリンラッシュ、ウエポンパーフェクション、オーバートラストのみです。
	デフォルトはyesです。

monster_class_change_full_recover
	モンスターがメタモルフォーシスとトランスフォーメーション等によって
	他のモンスターに変わった時そのモンスターのHPを最大なで回復させるか
	どうかです。これをyesにすると変わったモンスターの最大HPまで
	回復します。noなら変わる前のHPと最大HPの比率の分のHPになります。
	デフォルトはnoです。

produce_item_name_input
	製造で作られた鉄や属性石に製造者の名前を付けるかどうかです。
	デフォルトはyesです。

produce_potion_name_input
	製造で作られたポーションに製造者の名前を付けるかどうかです。
	デフォルトはyesです。

making_arrow_name_input
	矢作成で作られた矢に製造者の名前を付けるかどうかです。
	デフォルトはyesです。

holywater_name_input
	アクアベネディクタで作られた聖水に製造者の名前を付けるかどうかです。
	デフォルトはyesです。

display_delay_skill_fail
	スキル使用のディレイ中に「スキル使用の後は、しばらくお待ちください」を表示するかどうかです。
	デフォルトはyesです。

chat_warpportal
	チャット中のPCをワープポータルで飛ばせるかどうかです。
	デフォルトはnoです。
	
mob_warpportal
	MOBをワープポータルで飛ばせるかどうかです。
	デフォルトはnoです。

dead_branch_active
	古木の枝などmonster命令でmobidを負数に指定した場合に召喚されるモンスターをアクティブにするかどうかです。
	デフォルトはnoです。

vending_max_value
	露店で置けるアイテム価格の最高値です。
	デフォルトは10000000です。

show_steal_in_same_party
	スティール成功時、画面内のPTメンバー(自分含む)に
	スティールしたアイテムの情報を公開するかどうかです。
	デフォルトはnoです。

enable_upper_class
	転生、養子職を有効にするかどうかです。
	デフォルトはnoです。

pet_atack_attr_none
	ペットによる無属性通常攻撃を
	属性無し(属性による補正無し)にするかどうかです。
	デフォルトはnoです

pc_atack_attr_none
	プレイヤーによる無属性通常攻撃を
	属性無し(属性による補正無し)にするかどうかです。
	デフォルトはnoです

mob_atack_attr_none
	モンスターによる無属性通常攻撃を
	属性無し(属性による補正無し)にするかどうかです。
	デフォルトはyesです

player_skill_partner_check
	聖体降福や合奏スキルを行う際にパートナーの存在をチェックするかどうかです。
	デフォルトはyes(チェックする)です。

hide_GM_session
	GMアカウントのキャラクターを@コマンド等で表示の対象にするかどうかです。
	デフォルトはnoです
unit_movement_type
	ユニット移動処理方法を選択します。
	0で本鯖仕様(回線負荷→重、鯖処理→軽)、1でAthena仕様(回線負荷→軽、鯖処理→重)
	デフォルトは0(本鯖仕様)です
invite_request_check
	プレイヤーが各種要請中(PT加入、Guild加入、取引)に他の要請を受け入れるかどうかです。
	yesで本鯖仕様、noでAthena仕様(受け入れない)
	デフォルトはyes(受け入れる)です。
skill_removetrap_type
	リムーブトラップの仕様を選択します。
	0:本鯖仕様で罠1個を取得する
	1:Athena仕様で使ったアイテムを使った個数を取得する
disp_experience
	経験値を表示するかどうかです。
	yesにすると、敵を倒した時など経験値が入った時に本人にのみ表示されます。
	デフォルトはnoです。

night_at_start
	Choose if server begin with night (yes) or day (no)
	Default: No

day_duration
	Define duration in msec of the day.
	Set to 0 to disable day cycle (but not @day command).
	Except 0, minimum is 60000 (1 minute).
	Default: 7,200,000 = 2 hours

night_duration
	Define duration in msec of the night.
	Set to 0 to disable night cycle (but not @night command).
	Except 0, minimum is 60000 (1 minute).
	Default: 1,800,000 = 30 min

ban_spoof_namer
	Ban people that try to use an other name of its name (spoof name).
	Duration of the ban, in minutes.
	Value from 0 to 32767. Set to 0 to do no ban.
	Default: 5 (minutes)

hack_info_GM_level
	Set here minimum level of a (online) GM that can receive all informations about any player that try to hack, spoof a name, etc.
	Values are from 0 to 100.
	100: disable information
	0: send to any people, including normal players
	default: 60, according to GM definition in atcommand_athena.conf

any_warp_GM_min_level
	Set here the minimum GM level to disable the nowarp (from) and nowarpto (to) flags.
	This option is mainly used in AT_commands (@memo, @warp, @charwarp, @go, etc...). All GM commands used to move or set a new map check nowarp and nowarpto flags.
	default: 20 (first level after normal player or super'normal' player)

packet_ver_flag
	Set here which client version do you accept. Add all values of clients:
	 1: Clients before 2004-07-06 (old clients)
	 2: 2004-07-06 kRO client
	 4: 2004-07-13 kRO client
	 8: 2004-07-26 kRO client
	16: 2004-08-09 kRO / 2004-08-16aSakray / 2004-08-17aSakray client
	32: 2004-09-06aSakray client
	default value: 63 (all clients)

import
	その行を別ファイルの中身と置き換えます。

< Example >

warp_point_debug: no
enemy_critical: yes
enemy_critical_rate: 100
enemy_perfect_flee: no
casting_rate: 100
delay_rate: 100
delay_dependon_dex: no
skill_delay_attack_enable: no
left_cardfix_to_right: no
player_skill_add_range: 0
skill_out_range_consume: yes
monster_skill_add_range: 0
player_damage_delay: yes
player_damage_delay_rate: 100
defunit_not_enemy: yes
random_monster_checklv: yes
attribute_recover: yes
item_auto_get: no
flooritem_lifetime: 60000
item_first_get_time: 10000
item_second_get_time: 7000
item_third_get_time: 5000
mvp_item_first_get_time: 10000
mvp_item_second_get_time: 10000
mvp_item_third_get_time: 2000
item_rate: 100
drop_rate0item: no
base_exp_rate: 100
job_exp_rate: 100
death_penalty_type: 0
death_penalty_base: 100
death_penalty_job: 100
zeny_penalty: 0
restart_hp_rate: 0
restart_sp_rate: 0
mvp_hp_rate: 100
mvp_item_rate: 100
mvp_exp_rate: 100
monster_hp_rate: 100
monster_max_aspd: 199
atcommand_gm_only: Yes
gm_all_skill: 0
gm_all_equipment: 0
gm_skill_unconditional: 0
player_skillfree: no
player_skillup_limit: no
weapon_produce_rate: 100
potion_produce_rate: 100
monster_active_enable: yes
monster_damage_delay_rate: 100
monster_loot_type: 0
mob_skill_use: yes
mob_count_rate: 100
quest_skill_learn: no
quest_skill_reset: yes
basic_skill_check: yes
guild_emperium_check: yes
player_invincible_time: 5000
pet_catch_rate: 100
pet_rename: no
pet_friendly_rate: 100
pet_hungry_delay_rate: 100
pet_hungry_friendly_decrease: 5
pet_str: yes
pet_status_support: no
pet_support: no
pet_support_rate: 100
pet_attack_exp_to_master: no
pet_attack_exp_rate: no
pet_lootitem: no
pet_weight: 1000
skill_min_damage: no
finger_offensive_type: 0
heal_exp: 0
resurrection_exp: 0
hop_exp: 0
combo_delay_rate: 100
item_check: on
wedding_modifydisplay: no
natural_healhp_interval:4000
natural_healsp_interval:8000
natural_heal_skill_interval:10000
natural_heal_weight_rate: 50
item_name_override_grffile: yes
arrow_decrement: yes
max_aspd: 199
max_hp: 32500
max_sp: 32500
max_parameter: 99
max_cart_weight: 8000
player_skill_log: off
monster_skill_log: off
battle_log: off
save_log: off
error_log: on
etc_log: on
save_clothcolor: no
undead_detect_type: 2
player_auto_counter_type: 1
monster_auto_counter_type: 0
agi_penaly_type: 0
agi_penaly_count: 3
agi_penaly_num: 0
vit_penaly_type: 0
vit_penaly_count: 3
vit_penaly_num: 0
player_defense_type: 0
monster_defense_type: 0
pet_defense_type: 0
magic_defense_type: 0
player_skill_reiteration: no
monster_skill_reiteration: no
player_skill_nofootset: no
monster_skill_nofootset: no
player_cloak_check_type: 0
monster_cloak_check_type: 0
gvg_short_attack_damage_rate: 100
gvg_long_attack_damage_rate: 100
gvg_magic_attack_damage_rate: 100
gvg_misc_attack_damage_rate: 100
mob_changetarget_byskill: no
player_attack_direction_change:yes
monster_attack_direction_change:yes
player_land_skill_limit: yes
monster_land_skill_limit: yes
party_skill_penaly: yes
monster_class_change_full_recover: no
produce_item_name_input: yes
produce_potion_name_input: yes
making_arrow_name_input: yes
holywater_name_input: yes
display_delay_skill_fail: yes
chat_warpportal: no
mob_warpportal: no
dead_branch_active: no
vending_max_value: 10000000
show_steal_in_same_party: no
enable_upper_class: no
pet_atack_attr_none: no
pc_atack_attr_none: no
mob_atack_attr_none: yes
player_skill_partner_check: yes
hide_GM_session: no
invite_request_check: yes
unit_movement_type: 0
disp_experience: no
night_at_start: No
day_duration: 7200000
night_duration: 1800000
ban_spoof_namer: 5
hack_info_GM_level: 60
any_warp_GM_min_level: 20
packet_ver_flag: 63


==========================================================================
6. atcommand_athena.conf
--------------------------------------------------------------------------

< What this file is. >

  GMコマンド(/mm、/nb等)や@コマンドを使うことができるGMのレベルを設定する物です。
  設定は全て省略可能で、省略時はデフォルト値が利用されます。(デフォルトは0です。)

command_symbol
	Set here the symbol that you want to use for your commands
	Only 1 character is get (default is '@'). You can set any character,
	except control-character (0x00-0x1f), '%' (party chat speaking) and '/' (standard ragnarok GM commands)
	With default character, all commands begin by a '@': <example> @revive
	default: @

Sets the level of the users that can use the GM commands.
<command name>: level
// When battle_athena.conf has atcommand_gm_only set to no,
// normal players (gm level 0) can use GM commands if you set 0 to the command level.
Max GM level is 99. If you want forbid a command to all people, set it with level 100.

broadcast
	GMコマンド /nb、/b、/bb
local_broadcast
	GMコマンド /lb
mapmove
	GMコマンド /mm
resetstate
	GMコマンド /resetstate、/resetskill
rura+
	@コマンド @rura+
rura
	@コマンド @rura
where
	@コマンド @where
jumpto
	@コマンド @jumpto
jump
	@コマンド @jump
who
	@コマンド @who
save
	@コマンド @save
load
	@コマンド @load
speed
	@コマンド @speed
storage
	@コマンド @storage
gstorage
	@コマンド @gstorage
option
	@コマンド @option
hide
	GMコマンド /hideと@コマンド @hide
jobchange
	@コマンド @jobchange
die
	@コマンド @die
kill
	@コマンド @kill
alive
	@コマンド @alive
kami
	@コマンド @kami、@kamib
heal
	@コマンド @heal
item
	@コマンド @item、@item2
itemreset
	@コマンド @itemreset
itemcheck
	@コマンド @itemcheck
lvup
	@コマンド @lvup
joblvup
	@コマンド @joblvup
help
	@コマンド @help、@h
gm
	To become GM (need password; password is set in login_athena.conf).
	special!: only a non-GM (player with gm level 0) need to have this command.
	          if you change the value, be sure of what you do!
	To be able to create a gm with @gm, you must:
	- give a level to level_new_gm (parameter of login_athena.conf) (not 0)
	- enable to level 0 the @gm command (atcommand_athena.conf) (default 100) - Only level 0 can give access to this command
	- enable gm commands to normal player (battle_athena.conf, atcommand_gm_only parameter)
	- and normal player must give correct password when he use the @gm command (gm_pass paramter in login_athena.conf)
pvpoff
	@コマンド @pvpoff
pvpon
	@コマンド @pvpon
gvgoff
	@コマンド @gvgoff
gvgon
	@コマンド @gvgon
model
	@コマンド @model
go
	@コマンド @go
monster
	@コマンド @monster
killmonster
	@コマンド @killmonster、@killmonster2
refine
	@コマンド @refine
produce
	@コマンド @produce
memo
	@コマンド @memo
gat
	@コマンド @gat
packet
	@コマンド @packet
stpoint
	@コマンド @stpoint
skpoint
	@コマンド @skpoint
zeny
	@コマンド @zeny
param
	@コマンド @str、@agi、@vit、@int、@dex、@luk
guildlvup
	@コマンド @guildlvup
makeegg
	@コマンド @makeegg
petfriendly
	@コマンド @petfriendly
pethungry
	@コマンド @pethungry
petrename
	@コマンド @petrename
recall
	@コマンド @recall
charjob
	@コマンド @charjob
revive
	@コマンド @revive
charstats
	@コマンド @charstats
charoption
	@コマンド @charoption
charsave
	@コマンド @charsave
charload
	@コマンド @charload
night
	@コマンド @night
day
	@コマンド @day
doom
	@コマンド @doom
doommap
	@コマンド @doommap
raise
	@コマンド @raise
raisemap
	@コマンド @raisemap
charbaselvl
	@コマンド @charbaselvl
charjlvl
	@コマンド @charjlvl
kick
	@コマンド @kickとGM右クリック命令「使用者強制終了」
allskill
	@コマンド @allskill
questskill
	@コマンド @questskill
lostskill
	@コマンド @lostskill
spiritball
	@コマンド @spiritball
party
	@コマンド @party
guild
	@コマンド @guild
agitstart
	@コマンド @agitstart
agitend
	@コマンド @agitend
mapexit
	@コマンド @mapexit
idsearch
	@コマンド @idsearch
charchangesex
	Changes the sex of an online player (all characters on the account)
ignorelist
	Displays your ignore list
charignorelist
	Displays ignore list of a player
inall
	Allows all wispers for the player
exall
	Blocks all wispers for the player
chardisguise
	Changes disguise of a player
charundisguise
	Cancels disguise of a player
email
	To change your (own) email (characters protection)
	note: this command doesn't check email itself, but check structure of the email (xxx@xxx)
	      if you want be sure of each e-mail disable this option (value: 100)


import
	その行を別ファイルの中身と置き換えます。


< Example >
command_symbol: @

broadcast: 1
local_broadcast: 1
mapmove: 1
resetstate: 1
rura+: 1
rura: 1
where: 1
jumpto: 1
jump: 1
who: 1
save: 1
load: 1
speed: 1
storage: 1
gstorage: 1
option: 1
hide: 1
jobchange: 1
die: 1
kill: 1
alive: 1
kami: 1
heal: 1
item: 1
itemreset: 1
itemcheck: 1
lvup: 1
joblvup: 1
help: 1
gm: 100
pvpoff: 1
pvpon: 1
gvgoff: 1
gvgon: 1
model: 1
go: 1
monster: 1
killmonster: 1
refine: 1
produce: 1
memo: 1
gat: 1
packet: 1
stpoint : 1
skpoint : 1
zeny: 1
param: 1
guildlvup: 1
makeegg: 60
petfriendly: 1
pethungry: 1
petrename: 1
recall: 1
charjob: 1
revive: 1
charstats: 1
charoption: 1
charsave: 1
charload: 1
night: 1
day: 1
doom: 1
doommap: 1
raise: 1
raisemap: 1
charbaselvl: 1
charjlvl: 1
kick: 1
allskill: 1
questskill: 1
lostskill: 1
spiritball: 1
party: 1
guild: 1
agitstart: 1
agitend: 1
mapexit: 1
idsearch: 1
charchangesex: 1
ignorelist: 0
charignorelist: 20
inall: 20
exall: 20
chardisguise: 60
charundisguise: 60
email: 0

==========================================================================
7. conf/ladmin_athena.conf
--------------------------------------------------------------------------

< What this file is. >

	A setup of ladmin (remote administration of the login-server) is described.
	It mainly becomes a setup of an administrator.
	Only 'c' version of the ladmin is concerned by this configuration file.
	'Perl' ladmin doesn't use it.


< Explanation of a key >

If you change one of these parameters, you must restart ladmin to update.
If you repeat one parameter in the configuration file, only the latest will be validated.

login_ip
	IP adress to contact login-server.
	It is the IP adress of the login-server.
	Default value: 127.0.0.1 (same computer).

login_port
	Port to contact login-server.
	It is the port used by login-server.
	Default value: 6900.

admin_pass
	It is the administrator password used to administrate the login-server.
	You define it in login-athena.conf.
	Void password will not work.
	NOTICE: You must change this or attackers can exploit your server.
	Default value: admin. CHANGES this default value to avoid hack.

passenc:
	You specify here how ladmin send password to login-server. 3 values are possible:
	0: plain text
	1: use md5 key (format: key + password)
	2: use md5 key (format: password + key) (default)
	default: 2

defaultlanguage
	You can specified a language to display information and for logs.
	There are 2 values:
	F: Fran軋is
	E: English (default)
	If a displayed information isn't translated, English is used.
	Default value: E

ladmin_log_filename
	Gives the log file name and path to stores logs information.
	All operations done by the ladmin are written in this file with a time stamp.
	Default value: log/ladmin.log

date_format:
	Indicate how to display date in logs, to players, etc.
	0: 31-12-2004 23:59:59
	1: 12-31-2004 23:59:59
	2: 2004-31-12 23:59:59
	3: 2004-12-31 23:59:59
	Default value: 3

import
	Gives an other configuration file to include in.
	You must write the additionnal configuration file name and path.
	The mentionned file can include any parameter of the login configuration.
	You can create a chain or configuration files if necessary.
	Default value: <no_additional_configuration_file>.

<Example>
login_ip:127.0.0.1
login_port: 6900
admin_pass: admin
passenc: 2
defaultlanguage: E
ladmin_log_filename: log/ladmin.log
date_format: 3
//import: path/additional_configuration_file


==========================================================================
EOF
--------------------------------------------------------------------------
